﻿Imports Infragistics.Web.UI.GridControls
Imports Infragistics.Web.UI.ListControls
Imports System.Data

Partial Class _Default
    Inherits System.Web.UI.Page
    Private sessionds As New DataSet
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        If Not IsPostBack Then
            Session("session") = sessionds
        Else
            sessionds = Session("session")
            If sessionds.Tables.Count > 0 Then
                WebHierarchicalDataGrid1.DataSource = sessionds
            End If
        End If

    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click

        sessionds = New DataSet
        Me.WebHierarchicalDataGrid1.DefaultColumnWidth = 200
        Dim authors As New DataTable()
        authors.Columns.Add("authID")
        authors.Columns.Add("Name")
        Dim key(1) As DataColumn
        key(0) = authors.Columns("authID")
        authors.PrimaryKey = key
        authors.Rows.Add("001", "J.R.R. Tolkien")
        authors.Rows.Add("002", "S. King")
        authors.Rows.Add("003", "J.K. Rowlings")

        sessionds.Tables.Add(authors)
        sessionds.Tables(0).TableName = "authors"

        'Manually create Bands
        WebHierarchicalDataGrid1.DataKeyFields = "authID"
        WebHierarchicalDataGrid1.DataMember = "authors"
        WebHierarchicalDataGrid1.Key = "authors"
        WebHierarchicalDataGrid1.ShowFooter = True
        WebHierarchicalDataGrid1.ShowHeader = True
        WebHierarchicalDataGrid1.AutoGenerateColumns = False

        Dim column1 As New BoundDataField
        column1.DataFieldName = "authID"
        column1.Key = "authID"
        column1.Header.Text = "Author Identification"

        WebHierarchicalDataGrid1.GridView.Columns.Add(column1)

        column1 = New BoundDataField
        column1.DataFieldName = "Name"
        column1.Key = "Name"
        column1.Header.Text = "NOM"

        WebHierarchicalDataGrid1.GridView.Columns.Add(column1)


        WebHierarchicalDataGrid1.InitialDataBindDepth = 0
        WebHierarchicalDataGrid1.InitialExpandDepth = 0
        WebHierarchicalDataGrid1.MaxDataBindDepth = -1

        Session("session") = sessionds
        WebHierarchicalDataGrid1.DataSource = sessionds
        WebHierarchicalDataGrid1.DataBind()

    End Sub
End Class
